logo

CGI RESCUE製の電子掲示板にクロスサイトスクリプティングの脆弱性

  • このエントリーをはてなブックマークに追加

 独立行政法人 情報処理推進機構セキュリティセンター(IPA/ISEC)および有限責任中間法人 JPCERT コーディネーションセンター(JPCERT/CC)は5月18日、CGI RESCUEが提供する電子掲示板スクリプト「Trees」にクロスサイトスクリプティング(XSS)の脆弱性が存在すると公表した。

 今回確認された脆弱性は、Trees v2.10 およびそれ以前に存在する。この脆弱性が悪用されると、悪意ある利用者によって細工されたウェブページをユーザーが読み込んだ場合、ユーザーのブラウザ上で任意のスクリプトを実行される可能性がある。CGI RESCUEでは、この脆弱性を解消する新バージョンを公開しており、バージョンアップするよう呼びかけている。

 JVNではこの脆弱性について、以下のように分析している。

  • 攻撃経路:インターネット経由からの攻撃が可能(高)
  • 認証レベル:匿名もしくは認証なしで攻撃が可能(高)
  • 攻撃成立に必要なユーザーの関与:リンクをクリックしたり、ファイルを閲覧するなどのユーザー動作で攻撃される(中)
  • 攻撃の難易度:専門的知識や運がなくとも攻撃可能(高)

-PR-企画特集